Bug 213394 - Overlapping windows screenshot is garbled
Overlapping windows screenshot is garbled
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnome-panel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-01 04:42 EST by Bastien Nocera
Modified: 2010-10-22 02:45 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0766
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 10:59:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome-panel-2.8-screenshot-gnome-bz121492.patch (2.27 KB, patch)
2006-11-01 04:42 EST, Bastien Nocera
no flags Details | Diff
Screenshot-bnocera@bnocera.png (3.43 KB, image/png)
2006-11-01 04:44 EST, Bastien Nocera
no flags Details
Screenshot-bnocera@bnocera-1.png (22.63 KB, image/png)
2006-11-01 04:44 EST, Bastien Nocera
no flags Details

  None (edit)
Description Bastien Nocera 2006-11-01 04:42:51 EST
gnome-panel 2.8.1

1. Open gnome-terminal
2. Open the gnome-terminal preferences
3. Focus the terminal window (with the prefs overlapping)
4. Take a screenshot of the terminal window

The whole part overlapped by the prefs dialogue will be garbled (see attached
screenshots). Patch attached is a backport from GNOME Bugzilla 121492, which
makes the screenshot be taken from the root window, and the region pertaining to
the window clipped.
Comment 1 Bastien Nocera 2006-11-01 04:42:53 EST
Created attachment 139960 [details]
gnome-panel-2.8-screenshot-gnome-bz121492.patch
Comment 2 Bastien Nocera 2006-11-01 04:44:04 EST
Created attachment 139962 [details]
Screenshot-bnocera@bnocera.png

Garbled output
Comment 3 Bastien Nocera 2006-11-01 04:44:48 EST
Created attachment 139963 [details]
Screenshot-bnocera@bnocera-1.png

Same screenshot with the patch applied.
Comment 4 RHEL Product and Program Management 2007-05-09 05:03:40 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Ray Strode [halfline] 2007-07-24 11:17:11 EDT
patch available, devack
Comment 6 Ray Strode [halfline] 2007-07-25 12:07:04 EDT
built into gnome-panel-2.8.1-6.el4, marking MODIFIED for QA
Comment 12 errata-xmlrpc 2007-11-15 10:59:16 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0766.html

Note You need to log in before you can comment on or make changes to this bug.